Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Java Object Cache API Reference 10g Release 3 (10.1.3) B25712-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ias.cache
Interface PoolAffinityFactory

All Superinterfaces:
  PoolInstanceFactory

public interface PoolAffinityFactory
extends PoolInstanceFactory

PoolAffinity is an interface defining the affinityRelease method PoolAffinity defines the method affinityRelease which is called when an affinity pool object is requested by another user. If the current user wishes to release the object, affinityRelease should clean up any state in the object are return true. If the object can not be released, this method should return false. The default implementation of this interface method will always return true.

Since:
  9.0.4

Method Summary
`boolean` | `affinityRelease(java.lang.Object obj)` affinityRelease is called when a pooled object is associated with a PoolAccess handle and is needed by another user.

Methods inherited from interface oracle.ias.cache.PoolInstanceFactory
`createInstance, destroyInstance`

Method Detail

### affinityRelease

    public boolean affinityRelease(java.lang.Object obj)

  affinityRelease is called when a pooled object is associated with a PoolAccess handle and is needed by another user. If the existing user can release the object, this method should be implemented to do any cleanup required on the object then return true. The NotImplementedException indicates affinity is not being used for this pool.
  Parameters:
    `obj` - the object instance which is being removed from the pool
  Returns:
    true if the object is available to another user false otherwise
  Since:
    9.0.4
  See Also:
    `CacheAccess.createPool`

Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Server Java Object Cache API Reference 10g Release 3 (10.1.3) B25712-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004, 2005, Oracle. All rights reserved.